# $Revision: 1.18 $, $Date: 2006/03/23 18:46:18 $
Summary:	PDF to HTML converter
Summary(pl):	Konwerter plikw PDF do HTML-a
Name:		pdftohtml
Version:	0.38
Release:	1
License:	GPL
Group:		Applications/Publishing
Source0:	http://dl.sourceforge.net/pdftohtml/%{name}-%{version}.tar.gz
# Source0-md5:	4f69f650a5cb2012b2ca63f15c31f6a9
Patch0:		%{name}-FLAGS.patch
Patch1:		%{name}-CAN-2004-1125.patch
Patch2:		%{name}-nobodycolors_opt.patch
Patch3:		%{name}-c++.patch
URL:		http://pdftohtml.sourceforge.net/
# for X11 headers used in xpdf/XPDFCore.cc
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
Obsoletes:	pdftohtml-pdftops
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PDF to HTML converter.

%description -l pl
Konwerter PDF do HTML-a.

%prep
%setup -q
%patch0 -p1
cd xpdf
%patch1 -p0
cd ..
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -D src/pdftohtml $RPM_BUILD_ROOT%{_bindir}/pdftohtml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES README
%attr(755,root,root) %{_bindir}/pdftohtml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pdftohtml.spec,v $
Revision 1.18  2006/03/23 18:46:18  qboosh
- updated to 0.38 (fixes CAN-2005-3193)
- updated FLAGS patch, added c++ patch
- X headers are needed (because of one file)

Revision 1.17  2005/07/12 21:29:55  qboosh
- Obsoletes: pdftohtml-pdftops (old, removed subpackage)

Revision 1.16  2005/07/12 20:44:39  qboosh
- let's apply CAN-2004-1125 patch, release 3

Revision 1.15  2005/07/07 18:34:50  twittner
- added -nobodycolors_opt.patch - it adds `-nobodycolors' option to avoid
  setting bgcolor="#A0A0A0" and (v)link in <BODY> - it happens when
  pdftohtml is invoked with certain options, `-noframes' i.e.)

Revision 1.14  2005/01/10 09:30:21  adamg
- added fix for vulnerability described in CAN-2004-1125
- release 2

Revision 1.13  2005/01/05 19:44:49  twittner
- %install simplification

Revision 1.12  2004/12/28 03:29:44  twittner
- CC, CXX, C(XX)FLAGS related fixes

Revision 1.11  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.10  2003/12/23 03:06:11  adgor
- Updated to 0.36 (by Skibi)

Revision 1.9  2003/05/28 13:00:17  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.6  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.5  2002/04/02 20:39:18  qboosh
- added missing pl transl., removed redundant BR and COPYING from doc
- fixed changelog (expanded Log rcs tag)

Revision 1.4  2002/04/02 02:26:02  jack
- Added Conflicts: xpdf
- Removed Obsoletes: pdftops

Revision 1.3  2002/04/01 21:45:20  jack
Added forgotten Log
